#ifndef IPNORM_MEAN_LIGHT_INC
#define IPNORM_MEAN_LIGHT_INC

#include "ipCore.h"

namespace Torch {

/** This class is designed to normalize an image by substracting the average light

    @author Sebastien Marcel (marcel@idiap.ch)
    @version 2.0
    \Date
    @since 2.0
*/
class ipNormMeanLight : public ipCore
{
   	// width of the input image
	int width;

	// height of the input image
	int height;
	
public:
	/** constructor
	    
	    @param width_ is the #width# of the input image
	    @param height_ is the #height# of the input image
	    @param coding_ is the #coding# format of the input image
	*/
    	ipNormMeanLight(int width_, int height_, const char *coding_);

	///
	virtual ~ipNormMeanLight();

	///
	virtual void process(Sequence *seq_in);
};

}

#endif
