#ifndef MULTI_SCALE_WINDOW_SCAN_INC
#define MULTI_SCALE_WINDOW_SCAN_INC

#include "WindowScan.h"

namespace Torch {

/** This class is designed to perform a multi-scale image scanning (no subsampling involve)

    @author Sebastien Marcel (marcel@idiap.ch)
    @author Yann Rodriguez (rodrig@idiap.ch)
    \Date
    @version 2.0
    @since 1.0
*/
class MultiScaleWindowScan : public WindowScan 
{
public:
	///
	MultiScaleWindowScan(	int width_image_, int height_image_, 
				int real_width_image_, int real_height_image_, 
				int width_pattern_, int height_pattern_, 
				int real_width_pattern_, int real_height_pattern_, 
				real stepx_factor_, real stepy_factor_, 
				ipSubWindow *ip_sw_, 
				PatternCollector *patterncollector_,
				bool verbose = false);

	///
	virtual void init(void);

	///
	virtual void process(Sequence *seq_in);

	///
	virtual ~MultiScaleWindowScan();
};

}

#endif
