#ifndef VISCA_SERIAL_INC
#define VISCA_SERIAL_INC

#include "cameraControl.h"

namespace Torch {

/** This class is designed to manage a VISCA serial port

    @author Sebastien Marcel (marcel@idiap.ch)
    @version 2.0
    \Date
    @since 2.0
*/
class ViscaSerial : public cameraControl 
{
public:
	///
   	ViscaSerial(char *device_, char port_);

	///
	virtual ~ViscaSerial();

	/// specific device initialisation
	virtual bool init();

	///
	int assignAddress();

	///
	int clearInterface();
	
	/// is #command# an acknowledgement packet
	virtual bool IsAck(sCommandPacket *command);
	
	/// is #command# an completion packet
	virtual bool IsCpl(sCommandPacket *command);

	//-----
	
	/// terminator at the end of packets
	virtual unsigned char byteTerminator() { return 0xff; };
};

}

#endif
