#ifndef DIRECT_LDA_TRAINER_INC
#define DIRECT_LDA_TRAINER_INC

#include "LDATrainer.h"

namespace Torch {

/** This class is designed to compute Direct Linear Discriminant Analysis

    This class implements Fisher discriminant analysis.

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 1.0
*/
class DirectLDATrainer : public LDATrainer
{
public:
	///
	DirectLDATrainer(int n_classes_, LDAMachine *machine_);

	///
	virtual void train(DataSet *data_, MeasurerList *measurers_ = NULL);

	///
	virtual ~DirectLDATrainer();
};

}

#endif
