#ifndef PACEDETECT_GT_MEASURER_INC
#define PACEDETECT_GT_MEASURER_INC

#include "ShapeGTMeasurer.h"
#include "FaceModel.h"

namespace Torch {

/** This class is designed to be a Ground Truth measurer for face detection

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class FaceDetectGTMeasurer : public ShapeGTMeasurer
{
public:
	/// true if there is only one face in the image
	bool oneface;

	/// facemodel used to compute the measure
	FaceModel *facemodel;
	
	/// number of faces in the image
	int n_faces;

	/// coordinates of the left eye positions
	sPoint2D *l_eyes;

	/// coordinates of the right eye positions
	sPoint2D *r_eyes;

	//-----

	///
	FaceDetectGTMeasurer(FaceModel *facemodel_, bool oneface_ = true);

	///
        virtual void loadXFile(XFile *file);

	///
	virtual ~FaceDetectGTMeasurer();
};

}

#endif

