#ifndef JESORSKY_GT_MEASURER_INC
#define JESORSKY_GT_MEASURER_INC

#include "FaceDetectGTMeasurer.h"

namespace Torch {

/** This class is designed to be a Jesorksy Ground Truth measurer for face detection

    @author Sebastien Marcel (marcel@idiap.ch)	
    @author Yann Rodriguez (rodrig@idiap.ch)	
    \Date
    @version 2.0
    @since 2.0
*/
class jesorskyGTMeasurer : public FaceDetectGTMeasurer
{
   	// compute the Jesorsky's relative error measure
	real jesorsky(sPoint2D *l_eye, sPoint2D *r_eye, sPoint2D *l_eye_gt, sPoint2D *r_eye_gt);

public:
	/// Jesorksy threshold
	real threshold;
	
	//-----
	
	///
	jesorskyGTMeasurer(FaceModel *facemodel_, bool oneface_ = true, real threshold_ = 0.25);

	///
	virtual bool measure(int n_, sPoint2D *shape_, real *the_measure = NULL);

	///
	virtual ~jesorskyGTMeasurer();
};

}

#endif

